Subject: Re: [PATCH] NETIF_F_LLTX for devices 2

From: "David S. Miller" <[email-masked]>
Date: Fri, 10 Sep 2004 16:02:09 -0700

On 10 Sep 2004 09:33:35 -0400
jamal <[email-masked]> wrote:

> On Wed, 2004-09-08 at 16:47, David S. Miller wrote:
> 
> > 
> > We are merely moving the sch_generic.c locking logic into the
> > drivers.  The behavior is entirely equivalent except that one
> > level of unnecessary locking has been removed.
> > 
> > I think his change is valid, will not break existing drivers (as
> > you mentioned as well Jamal), and works well for the cases he has
> > shown patches of.  So I'm going to apply his patch.
> > 
> > BTW, if we are really concerned about some existing driver returning
> > -1 from hard_start_xmit() without the new feature flag being enabled,
> > we can test for that and log a debugging message if it happens.
> 
> I am not 100% happy but let me do some testing on it. Would the best
> image be the latest bk snapshot?

Yes, Andi's code plus e1000 and tg3 driver uses are in current
2.6.x BK.  Just grep for NETIF_F_LLTX in drivers/net/tg3.c to
be sure you've got it in your tree.